Bug 1249635 - (CVE-2015-5704) CVE-2015-5704 devscripts: arbitrary shell command injection
CVE-2015-5704 devscripts: arbitrary shell command injection
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150731,repor...
: Security
Depends On: 1249636
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 09:01 EDT by Adam Mariš
Modified: 2015-08-15 06:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-15 06:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-03 09:01:10 EDT
In scripts/licensecheck.pl, there is executed code, that is vulnerable to shell command injection via shell metacharacters in filename.

my $mime = `file --brief --mime --dereference $file`;

Upstream patch:
https://anonscm.debian.org/cgit/collab-maint/devscripts.git/commit/?id=c0687bcde23108dd42e146573c368b6905e6b8e8

CVE assignment:
http://www.openwall.com/lists/oss-security/2015/08/01/7
Comment 1 Adam Mariš 2015-08-03 09:02:24 EDT
Created devscripts tracking bugs for this issue:

Affects: fedora-all [bug 1249636]
Comment 2 Fedora Update System 2015-08-12 03:04:15 EDT
devscripts-2.15.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-08-12 03:04:58 EDT
devscripts-2.15.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.